package example.service.dao;

import java.util.List;

import example.domain.MailAddressInfo;
import example.domain.UserInfo;

/**
 * [U𑀍삷DAO.
 *
 */
public interface UserInfoDao {

    /**
     * [Uꗗ擾.
     * @return 
     */
    public List<UserInfo> getAllUsers();
    
    /**
     * [UIDL[Ɍ.
     * @param id [UID
     * @return [U
     */
    public UserInfo findUser(int id);
    
    /**
     * [Uǉs.
     * @param userInfo [U
     */
    public void addUser(UserInfo userInfo);

    /**
     * [UXV.
     * @param userInfo [U
     * @return XV
     */
    public int updateUser(UserInfo userInfo);
    
    /**
     * [UɕRÂ[AhXǉ.
     * @param userInfo [ǉ郆[U
     * @param mailAddressInfo ǉ郁[AhX
     */
    public void addMailAddress(UserInfo userInfo, MailAddressInfo mailAddressInfo);
    
    /**
     * [UɕRÂ[AhX폜.
     * @param userInfo [U
     * @param id [AhXID
     * @return 폜
     */
    public int removeMailAddress(UserInfo userInfo, int id);
    
    /**
     * [AhX1XV.
     * @param mailAddressInfo XV郁[AhX
     * @return XV
     */
    public int updateAddress(MailAddressInfo mailAddressInfo);
}
