package example.impl;

import java.util.List;

import example.domain.MailAddressInfo;
import example.domain.UserInfo;
import example.service.ExampleService;
import example.service.dao.UserInfoDao;

/**
 * ExampleService̎.
 *
 */
public class ExampleServiceImpl implements ExampleService {

    /** UserInfoDao */
    private UserInfoDao userInfoDao;

    public UserInfoDao getUserInfoDao() {
        return userInfoDao;
    }

    public void setUserInfoDao(UserInfoDao userInfoDao) {
        this.userInfoDao = userInfoDao;
    }

    public List<UserInfo> getAllUsers() {
        return userInfoDao.getAllUsers();
    }

    public UserInfo findUser(int id) {
        return userInfoDao.findUser(id);
    }

    public void addUser(UserInfo userInfo) {
        userInfoDao.addUser(userInfo);
    }

    public int updateUser(UserInfo userInfo) {
        return userInfoDao.updateUser(userInfo);
    }

    public void addMailAddress(UserInfo userInfo,
            MailAddressInfo mailAddressInfo) {
        userInfoDao.addMailAddress(userInfo, mailAddressInfo);
    }

    public void removeMailAddress(UserInfo userInfo, int id) {
        userInfoDao.removeMailAddress(userInfo, id);
    }

    public int updateAddress(MailAddressInfo mailAddressInfo) {
        return userInfoDao.updateAddress(mailAddressInfo);
    }


}
