package example.view.userinfo;

import org.apache.shale.view.AbstractViewController;

import example.domain.UserInfo;
import example.service.ExampleService;

/**
 * [U\ʂViewController.
 *
 */
public class ViewView extends AbstractViewController {
    private ExampleService exampleService;
    private UserInfo userInfo = new UserInfo();
    private UserInfo editingUser;
    private int removeMailAddressId;

    /**
     * [AhX폜.
     * @return s
     */
    public String removeMailAddress() {
        exampleService.removeMailAddress(editingUser, removeMailAddressId);
        return "success";
    }
    
    /**
     * [Us.
     * @return s
     */
    public String initUser() {
        userInfo = exampleService.findUser(editingUser.getId());
        if (userInfo != null) {
            return "success";
        } else {
            return "fail";
        }
    }

    public int getRemoveMailAddressId() {
        return removeMailAddressId;
    }

    public void setRemoveMailAddressId(int removeMailAddressId) {
        this.removeMailAddressId = removeMailAddressId;
    }

    public UserInfo getEditingUser() {
        return editingUser;
    }

    public void setEditingUser(UserInfo editingUser) {
        this.editingUser = editingUser;
    }

    public ExampleService getExampleService() {
        return exampleService;
    }

    public void setExampleService(ExampleService exampleService) {
        this.exampleService = exampleService;
    }

    public UserInfo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
    }

}
